Bug 989425 - Review Request: fts-monitoring - FTS v3 web application for monitoring
Review Request: fts-monitoring - FTS v3 web application for monitoring
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Laurence Field
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 05:08 EDT by michal.simon
Modified: 2013-09-26 20:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: fts-monitoring-3.1.1-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 20:32:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Laurence.Field: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description michal.simon 2013-07-29 05:08:24 EDT
Spec URL: https://grid-deployment.web.cern.ch/grid-deployment/dms/fts3/epel_release/fts-monitoring.spec

SRPM URL: https://grid-deployment.web.cern.ch/grid-deployment/dms/fts3/epel_release/fts-monitoring-3.1.0-1.el6.src.rpm

Description: fts-monitoring is a web application written in python for monitoring the File Transfer Service V3.

Fedora Account System Username: simonm

Koji build for epel6 and rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5671119
http://koji.fedoraproject.org/koji/taskinfo?taskID=5671127
Comment 2 Laurence Field 2013-08-27 08:22:21 EDT
I am assuming that you are tageting RHEL 6 so the Django version error on installation is not relevant.

I assume that permsion error for fts3web.ini is due to it containing a password.

The main issue is the the copy command should use the option -p to preserve the timestamps rather than --no-preserve=ownership.

While addressing this issue please also clean up the specfile.

- Remove the setting of phython macros as these are not needed for RHEL 6.
- Remove the SVN comments as they are not requried.
- Provide a more detailed description of the package. 
- Remove the %{_builddir}/%{name}-%{version}/ prefix from the copy and install as they are not required. 

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package installs properly.
     Note: Installation errors (see attachment)
See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
   - Cehck 
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)". 1 files have unknown license. Detailed output of
     licensecheck in /home/lfield/review-fts-monitoring/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
     Note: Installation errors (see attachment)
     Django-1.3.7-1 is available for the target platform RHEL 6.
[-]: Package is not relocatable.
[-]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[-]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Installation errors
-------------------
INFO: mock.py version 1.1.19 starting...
State Changed: init plugins
INFO: selinux disabled
State Changed: start
Mock Version: 1.1.19
INFO: Mock Version: 1.1.19
State Changed: lock buildroot
INFO: installing package(s): /home/lfield/review-fts-monitoring/results/fts-monitoring-3.1.1-1.fc16.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-16-i386/root/', 'install', '/home/lfield/review-fts-monitoring/results/fts-monitoring-3.1.1-1.fc16.noarch.rpm']
Error: Package: fts-monitoring-3.1.1-1.fc16.noarch (/fts-monitoring-3.1.1-1.fc16.noarch)
           Requires: Django >= 1.3.7
           Available: Django-1.3.1-2.fc16.noarch (fedora)
               Django = 1.3.1-2.fc16
           Available: Django-1.3.4-1.fc16.noarch (updates-released)
               Django = 1.3.4-1.fc16
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: fts-monitoring-3.1.1-1.fc16.src.rpm
          fts-monitoring-3.1.1-1.fc16.noarch.rpm
fts-monitoring.noarch: E: non-readable /etc/fts3web/fts3web.ini 0640L
2 packages and 0 specfiles checked; 1 errors, 0 warnings.

Requires
--------
fts-monitoring-3.1.1-1.fc16.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/env  
    Django >= 1.3.7
    MySQL-python(x86-32)  
    config(fts-monitoring) = 3.1.1-1.fc16
    httpd(x86-32)  
    mod_wsgi(x86-32)  
    python(x86-32)  
    python-matplotlib(x86-32)  



Provides
--------
fts-monitoring-3.1.1-1.fc16.noarch.rpm:
    
    config(fts-monitoring) = 3.1.1-1.fc16
    fts-monitoring = 3.1.1-1.fc16



MD5-sum check
-------------
https://grid-deployment.web.cern.ch/grid-deployment/dms/fts3/tar/fts-monitoring-3.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 8828bd0b894951bd938634956528ca3526850ca9fd83b4658b32dd165cb5872c
  CHECKSUM(SHA256) upstream package : 8828bd0b894951bd938634956528ca3526850ca9fd83b4658b32dd165cb5872c


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-16-i386
Command line :/usr/bin/fedora-review --rpm-spec -n fts-monitoring-3.1.1-1.el6.src.rpm
Comment 3 michal.simon 2013-08-28 10:06:45 EDT
Thanks for your review.

In response to your comments:
- yes, the package is meant only for EPEL6
- exactly there are passwords in fts3web.ini
- the '--no-preserve=ownership' has been replaced with '-p' option
- the spec files has been cleaned

https://grid-deployment.web.cern.ch/grid-deployment/dms/fts3/epel_release/fts-monitoring.spec

https://grid-deployment.web.cern.ch/grid-deployment/dms/fts3/epel_release/fts-monitoring-3.1.1-1.el6.src.rpm
Comment 4 Laurence Field 2013-08-28 10:29:40 EDT
Review Passes OK. Items listed as not OK in the previous one have been addressed.
Comment 5 michal.simon 2013-08-28 10:44:14 EDT
New Package SCM Request
=======================
Package Name: fts-monitoring
Short Description: FTS v3 web application for monitoring
Owners: simonm aalvarez
Branches: el6
InitialCC:
Comment 6 Gwyn Ciesla 2013-08-28 11:14:16 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-08-29 03:06:22 EDT
fts-monitoring-3.1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fts-monitoring-3.1.1-1.el6
Comment 8 Fedora Update System 2013-08-29 13:41:13 EDT
fts-monitoring-3.1.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 9 Fedora Update System 2013-09-02 05:30:02 EDT
fts-monitoring-3.1.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fts-monitoring-3.1.1-2.el6
Comment 10 Fedora Update System 2013-09-26 20:32:23 EDT
fts-monitoring-3.1.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.